Subject: Re: Bug in git-verify-pack or in its documentation?

From: Junio C Hamano <[email-masked]>
Date: Thu, 19 Mar 2015 10:59:32 -0700

Duy Nguyen <[email-masked]> writes:

> On Mon, Mar 16, 2015 at 8:18 PM, Mike Hommey <[email-masked]> wrote:
>> On Mon, Mar 16, 2015 at 05:13:25PM +0700, Duy Nguyen wrote:
>>> On Mon, Mar 16, 2015 at 3:05 PM, Mike Hommey <[email-masked]> wrote:
>>> > Hi,
>>> >
>>> > git-verify-pack's man page says the following about --stat-only:
>>> >
>>> >    Do not verify the pack contents; only show the histogram of delta
>>> >    chain length. With --verbose, list of objects is also shown.
>>> >
>>> > However, there is no difference of output between --verbose and
>>> > --verbose --stat-only (and in fact, looking at the code, only one of
>>> > them has an effect, --stat-only having precedence).
>>>
>>> There is. very-pack --verbose would show a lot of "<sha-1> <type>
>>> <"random" numbers>" lines before the histogram while --stat-only (with
>>> or without --verbose) would only show the histogram.
>>
>> Err, I meant between --stat-only and --verbose --stat-only.
>
> Yeah --verbose is always ignored when --stat-only is set. This command is funny.

I would disagree.  "--verbose" is "do whatever you are told to do
but you can enhance the result by giving more verbose output".

To understand what I mean, compare "git verify-pack" (no other
options) and "git verify-pack --verbose".

Now, when you are asking the command to show the statistics only and
nothing else, there may be nothing useful that you can output to
enhance the "stat-only" output.  "git verify-pack --stat-only" (no
other options) and "git verify-pack --stat-only --verbose" can
produce exactly the same result in such a case.

So I do not see anything funny there.